### Method

# FwupdPlugin EfiHardDriveDevicePath compare

#### Declaration [src]

    gboolean
    fu_efi_hard_drive_device_path_compare (
      FuEfiHardDriveDevicePath* dp1,
      FuEfiHardDriveDevicePath* dp2
    )

#### Description [src]

Compares two EFI HardDrive `DEVICE_PATH`s.

Available since: | 2.0.0

#### Parameters

`dp2` | `FuEfiHardDriveDevicePath`
| A `FuEfiHardDriveDevicePath`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `TRUE` is considered equal.